For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete firewall rule

Delete a specific firewall rule from a specified firewall.

Delete firewall rule

delete

Delete a specific firewall rule from a specified firewall.

Any virtual machine that has this firewall activated will lose sync with the firewall and will have to be synced again manually.

Use this endpoint to remove specific firewall rules.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
firewallIdintegerRequired

Firewall ID

Example: 9449049
ruleIdintegerRequired

Firewall Rule ID

Example: 8941182
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
delete/api/vps/v1/firewall/{firewallId}/rules/{ruleId}
DELETE /api/vps/v1/firewall/{firewallId}/rules/{ruleId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?